%global momorel 6
%global srcname kradio4
%global qtver 4.6.2
%global kdever 4.4.2
%global kdelibsrel 1m

Summary: Comfortable radio application for KDE
Name: kradio
Version: 4.0.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://www.kde-apps.org/content/show.php/KRadio4+for+KDE4.x?content=28097
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{srcname}-%{version}.tar.bz2
NoSource: 0
Source1: README.momonga
Patch0: %{srcname}-%{version}-desktop.patch
Patch1: %{srcname}-%{version}-rc2-dbus-link.patch
Patch2: %{srcname}-%{version}-rc2-ffmpeg-headers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: vorbis-tools
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: alsa-lib-devel
BuildRequires: cmake
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: ffmpeg-devel
BuildRequires: lame-devel
BuildRequires: libogg-devel
BuildRequires: libsndfile-devel
BuildRequires: libvorbis-devel
BuildRequires: lirc-devel

%description
Comfortable V4L/V4L2-Radio Application for KDE

KRadio is a comfortable radio application for KDE with support for 
V4L and V4L2 radio cards drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* RDS support
* PVR support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Timeshifter Capability
* Recording Capabilities (mp3, ogg/vorbis, wav, ...)
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset
files for many cities around the world contributed by KRadio Users.

As KRadio is based on an extendable plugin architecture, contributions
of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .link-dbus
%patch2 -p1 -b .ffmpeg-headers

install -m 644 %{SOURCE1} .

%build
# workaround for ffmpeg
%global optflags %{optflags} `pkg-config libavcodec --cflags`

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}4.png %{buildroot}%{_datadir}/pixmaps/%{name}4.png

# clean up
rm -rf %{buildroot}%{_docdir}/%{srcname}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL README* REQUIREMENTS TODO*
%{_kde4_bindir}/%{name}4
%{_kde4_libdir}/%{name}4
%{_kde4_datadir}/applications/kde4/%{name}4.desktop
%{_kde4_appsdir}/%{name}4
%{_kde4_iconsdir}/*color/*/*/%{name}*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}4*.mo
%{_datadir}/pixmaps/%{name}4.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.0-6m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-5m)
- rebuild against qt-4.6.3-1m

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-4m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jun  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-2m)
- version 4.0.0
- update desktop.patch

* Fri May  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1.5.2m)
- move Source0 to sf.net

* Fri May  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1.5.1m)
- update to version 4.0.0-rc4

* Sun Apr 19 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1.4.1m)
- update to version 4.0.0-rc3
- remove merged gcc44.patch

* Sat Apr 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1.3.1m)
- update to version 4.0.0-rc2
- add dbus-link.patch and ffmpeg-headers.patch

* Mon Mar 30 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1.2.1m)
- update to version 4.0.0-rc1

* Sun Mar 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1.1.1m)
- update to version 4.0.0-beta2

* Tue Mar 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-0.20090308.1m)
- update to 20090308 snapshot

* Wed Mar  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-0.20090301.2m)
- apply gcc44 patch

* Mon Mar  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-0.20090301.1m)
- initial package for radio freaks using Momonga Linux
